Bug 1468619 - [PATCH] Introspect Atomic payload to determine supported locales
[PATCH] Introspect Atomic payload to determine supported locales
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: fedora-productimg-atomic (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-07 10:50 EDT by Jonathan Lebon
Modified: 2017-07-24 13:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-11 13:42:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Introspect Atomic payload to determine supported locales (5.28 KB, patch)
2017-07-07 10:50 EDT, Jonathan Lebon
no flags Details | Diff
Introspect Atomic Host payload for supported locales (5.40 KB, patch)
2017-07-10 10:54 EDT, Jonathan Lebon
no flags Details | Diff

  None (edit)
Description Jonathan Lebon 2017-07-07 10:50:04 EDT
This is essentially a split out of the installclass modifications that
were done in https://github.com/rhinstaller/anaconda/pull/871. It needs
the corresponding Anaconda patch to be useful, though it should be
harmless to apply ahead of time.

Related: https://pagure.io/atomic-wg/issue/282
Comment 1 Jonathan Lebon 2017-07-07 10:50 EDT
Created attachment 1295328 [details]
Introspect Atomic payload to determine supported locales
Comment 2 Jonathan Lebon 2017-07-07 10:52:27 EDT
Requires https://github.com/rhinstaller/anaconda/pull/1122.
Comment 3 Jonathan Lebon 2017-07-07 13:04:57 EDT
Sanity checked that the patch on its own doesn't cause any isues on older anacondas without https://github.com/rhinstaller/anaconda/pull/1122.
Comment 4 Colin Walters 2017-07-10 10:11:25 EDT
Super minor things:

Can you s/Atomic/Atomic Host/ in the changelog?

- Delete the locale checkout dir when done?  I know it's just transient but we might as well keep this clean on general principle
- Seems like the (lang, territory) = line.split('_') should be (lang, territory) = line.split('_'. 1) just for sanity?
Comment 5 Jonathan Lebon 2017-07-10 10:54 EDT
Created attachment 1295851 [details]
Introspect Atomic Host payload for supported locales
Comment 6 Jonathan Lebon 2017-07-10 10:55:11 EDT
Thanks for the feedback! Updated in ⬆️.
Comment 8 Jonathan Lebon 2017-07-19 13:14:24 EDT
Can we have this in f26 as well? Would be nice if we could release this as part of a TWR.

Note You need to log in before you can comment on or make changes to this bug.